Slovak Technical Services Reminder Manager

Introducing Slovak Technical Services Reminder Manager

Microsoft® Outlook® normally will only provide reminders for items in the default Inbox, Calendar, Tasks and Contacts folders in your default Outlook data store (where you get your email delivered).

Reminder Manager enables adding any folder in a default or non-default Outlook data store (Exchange mailbox, PST file or Exchange public folder) that is an Email, Calendar, Tasks or Contacts folder (with the exception of Outbox and Deleted Items) as a reminder enabled folder.

This section of the Reminder Manager Help contains information about:

Reminder Manager System Requirements

Installing Reminder Manager

Files Installed by Reminder Manager

Reminder Manager End User License Agreement

Removing Reminder Manager

For additional information about Reminder Manager see:

Configuring Reminder Manager

Working With Reminder Manager

Registration and Technical Support


Reminder Manager System Requirements

  1. Outlook 2000 Corporate or Workgroup mode (Internet Only mode is not supported), Outlook 2002, Outlook 2003 or Outlook 2007.
  2. Reminder Manager works with Windows 9X, Windows NT, Windows 2000, Windows XP and Windows Vista.


Installing Reminder Manager

To install this software, shut down all running Windows programs and then run RMsetup.exe. RMsetup.exe can be downloaded a link at http://www.slovaktech.com/remindermanager/rmpricing.htm#download or RMsetup.exe can be downloaded directly from http://www.slovaktech.com/files/RMsetup.exe

Important: Make sure to shut down all running Windows applications before installing Reminder Manager. It is especially important to shut down any script stopper programs, such as the ones from Symantec or McAfee before installing Reminder Manager. After installing Reminder Manager reboot the computer if you run any script stopper programs. Rebooting is not necessary if you do not run a script stopper program.

If you use McAfee's Hawk Script Stopper program you can tell it to trust the components of Reminder Manager. Components are located in the installation folder, usually C:\Program Files\Slovak Technical Services\Reminder Manager and in the shared common files folder, C:\Program Files\Common Files\Slovaktech Shared. The components to be trusted are ReminderManager.DLL, ReminderManagerPP.OCX and RM12_Helper.DLL in the installation folder, and STSMAPI.DLL in the shared common files folder.

Some versions of Symantec software that have Outlook/Exchange integration or script stoppers are not compatible with Reminder Manager. If Outlook crashes when you access a Reminder Manager window try disabling any Symantec Outlook/Exchange integration or script stoppers and see if the problem disappears.


Files Installed by Reminder Manager

The following files are installed by the installer for the Slovak Technical Services Reminder Manager software.

Application folder (C:\Program Files\Slovak Technical Services\ReminderManager\)

  1. ReminderManager.dll
  2. ReminderManagerPP.ocx
  3. RM12_Helper.dll
  4. Readme.doc
  5. ReminderManager.chm
  6. ReminderManager.manifest
  7. ReminderManagerPP.ocx.manifest
  8. RM12_Helper.manifest

Common Files folder (C:\Program Files\Slovaktech Shared)

STSMAPI.dll

System folder (C:\Windows\System32)

vsflex8l.ocx

vsprint8.ocx


Reminder Manager EULA

END-USER LICENSE AGREEMENT FOR SLOVAK TECHNICAL SERVICES SOFTWARE

NOTICE: PLEASE READ THROUGH THE FOLLOWING LICENSE TERMS THAT ARE APPLICABLE TO YOUR USE, AND, IF YOU ARE IN AGREEMENT WITH THOSE TERMS, INDICATE YOUR ACCEPTANCE AS SPECIFIED BELOW. BY INSTALLING, COPYING OR OTHERWISE USING SLOVAK TECHNICAL SERVICES Reminder Manager, YOU AGREE TO BE BOUND BY THE LICENSE TERMS WHICH ARE APPLICABLE TO YOU. IF YOU DO NOT AGREE TO THOSE TERMS, DO NOT INSTALL OR USE SLOVAK TECHNICAL SERVICES Reminder Manager; YOU MAY, HOWEVER, RETURN IT TO YOUR PLACE OF PURCHASE FOR A FULL REFUND.

IF YOU ACQUIRED SLOVAK TECHNICAL SERVICES Reminder Manager AS A STANDALONE PRODUCT, THE FOLLOWING TERMS APPLY TO YOU:

IMPORTANT-READ CAREFULLY: This Slovak Technical Services End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Slovak Technical Services, Inc. for the Slovak Technical Services software product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT; you may, however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE. This EULA grants you the following rights:

Evaluation Copy. If you obtained Reminder Manager as a 30-day evaluation copy, you may install and use one copy of Reminder Manager on a single computer for a 30-day period. At the end of the 30-day period, you must either purchase a license for Reminder Manager or uninstall Reminder Manager. Continued use of Reminder Manager beyond the 30-day evaluation period without purchase is prohibited and constitutes a violation of this EULA.

Applications Software. You may install and use one copy of Reminder Manager on a single computer. The primary user of the computer on which Reminder Manager is installed may make a second copy for his or her exclusive use on a portable computer.

Storage/Network Use. You may also store or install a copy of Reminder Manager on a storage device, such as a network server, used only to install Reminder Manager on your other computers over an internal network; however, you must acquire and dedicate a license for each separate computer on which Reminder Manager is installed from the storage device. A license for Reminder Manager may not be shared or used concurrently on different computers.

Site License Pak. If you have acquired this EULA in a Slovak Technical Services Reminder Manager Site License Pak, you may make an unlimited number of additional copies of the computer software portion of the SOFTWARE PRODUCT for use within your organization, and you may use each copy in the manner specified above. You are also entitled to make a corresponding number of secondary copies for portable computer use as specified above.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

Not for Resale Software. If Reminder Manager is labeled "Not for Resale" or "NFR," then, notwithstanding other sections of this EULA, you may not resell, or otherwise transfer for value, Reminder Manager.

Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble Reminder Manager, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components. Reminder Manager is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Rental. You may not rent, lease, or lend Reminder Manager.

Support Services. Slovak Technical Services may provide you with support services related to Reminder Manager ("Support Services"). Use of Support Services is governed by the Slovak Technical Services policies and programs described in "online" documentation, and/or in other Slovak Technical Services-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of Reminder Manager and subject to the terms and conditions of this EULA. With respect to technical information you provide to Slovak Technical Services as part of the Support Services, Slovak Technical Services may use such information for its business purposes, including for product support and development. Slovak Technical Services will not utilize such technical information in a form that personally identifies you.

Software Transfer. You may permanently transfer all of your rights under this EULA, provided you retain no copies, you transfer all of Reminder Manager (including all component parts, associated media, any upgrades, and this EULA), and the recipient agrees to the terms of this EULA. If Reminder Manager is an upgrade, any transfer must include all prior versions of Reminder Manager.

Termination. Without prejudice to any other rights, Slovak Technical Services may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of Reminder Manager and all of its component parts.

3. COPYRIGHT.

All title and copyrights in and to Reminder Manager (including but not limited to any images, photographs, animations, text, and "applets" incorporated into Reminder Manager), and any copies of Reminder Manager are owned by Slovak Technical Services, Inc. Reminder Manager is protected by copyright laws and international treaty provisions. Therefore, you must treat Reminder Manager like any other copyrighted material except that you may install Reminder Manager on a single computer provided you keep the original solely for backup or archival purposes.

4. U.S. GOVERNMENT RESTRICTED RIGHTS.

Reminder Manager and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer Software-Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is Slovak Technical Services, Inc., 2602 Amsden Road, Winter Park, FL 32792-3513.

MISCELLANEOUS

If you acquired this product in the United States, this EULA is governed by the laws of the State of Florida and the following statement applies: each of the parties hereto irrevocably agrees to the jurisdiction of the courts of the State of Florida and further agrees to commence any litigation which may arise hereunder in the courts located in Orange County, State of Florida.

If you acquired this product in Canada, this EULA is governed by the laws of the Province of Ontario, Canada. Each of the parties hereto irrevocably agrees to the jurisdiction of the courts of the Province of Ontario and further agrees to commence any litigation which may arise hereunder in the courts located in the Judicial District of York, Province of Ontario.

If this product was acquired outside the United States or Canada, then local law may apply.

Should you have any questions concerning this EULA, or if you desire to contact Slovak Technical Services for any reason, please e-mail info@slovaktech.com

LIMITED WARRANTY

LIMITED WARRANTY.

Slovak Technical Services warrants that (a) Reminder Manager will perform substantially in accordance with the accompanying materials for a period of ninety (90) days from the date of receipt, and (b) any Support Services provided by Slovak Technical Services shall be substantially as described in applicable materials provided to you by Slovak Technical Services, and Slovak Technical Services support engineers will make commercially reasonable efforts to solve any problem issues. Some states and jurisdictions do not allow limitations on duration of an implied warranty, so the above limitation may not apply to you. To the extent allowed by applicable law, implied warranties on Reminder Manager, if any, are limited to ninety (90) days.

CUSTOMER REMEDIES.

Slovak Technical Services' and its suppliers' entire liability and your exclusive remedy shall be, at Slovak Technical Services' option, either (a) return of the price paid, if any, or (b) repair or replacement of Reminder Manager that does not meet Slovak Technical Services' Limited Warranty and which is returned to Slovak Technical Services with a copy of your receipt. This Limited Warranty is void if failure of Reminder Manager has resulted from accident, abuse, or misapplication. Any replacement of Reminder Manager will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. Outside the United States, neither these remedies nor any product support services offered by Slovak Technical Services are available without proof of purchase from an authorized international source.

NO OTHER WARRANTIES.

To the maximum extent permitted by applicable law, Slovak Technical Services and its suppliers disclaim all other warranties and conditions, either express or implied, including, but not limited to, implied warranties of merchantability, fitness for a particular purpose, title, and non-infringement, with regard to Reminder Manager, and the provision of or failure to provide Support Services. This limited warranty gives you specific legal rights. You may have others, which vary from state/jurisdiction to state/jurisdiction.

LIMITATION OF LIABILITY.

To the maximum extent permitted by applicable law, in no event shall Slovak Technical Services or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use Reminder Manager or the provision of or failure to provide Support Services, even if Slovak Technical Services has been advised of the possibility of such damages. In any case, Slovak Technical Services' entire liability under any provision of this EULA shall be limited to the greater of the amount actually paid by you for Reminder Manager or U.S.$5.00; provided, however, if you have entered into a Slovak Technical Services Support Services Agreement, Slovak Technical Services' entire liability regarding Support Services shall be governed by the terms of that agreement. Because some states and jurisdictions do not allow the exclusion or limitation of liability, the above limitation may not apply to you.


Removing Reminder Manager

To remove this software, open the Control Panel and select Add/Remove Programs. Select "ReminderManager" in the list of installed programs and choose to remove the software.


Configuring Reminder Manager

This section of the Reminder Manager Help contains information about:

Opening the Reminder Manager Configuration Dialog

About Reminder Manager Configuration

Adding a Reminder Enabled Folder

Removing a Reminder Enabled Folder

Configuring Alarm Options

Configuring E-mail Options

Configuring Usability Options

Using Windows XP Styles

For additional information about Reminder Manager see:

Slovak Technical Services Reminder Manager

Working With Reminder Manager

Registration and Technical Support


Opening the Configuration Dialog

Opening the Reminder Manager Configuration Dialog

There are three ways to open the Reminder Manager configuration dialog. The configuration dialog is automatically opened when Reminder Manager is run for the first time.

Method 1

  1. Click on Reminder Manager in the View menu in an Outlook window.

  2. Click on Configure Reminder Manager in the File menu in the Reminder Manager window to open the configuration dialog.

Method 2

If you are displaying the Reminder Manager System Tray icon, right-click on the Reminder Manager icon and click Configure Reminder Manager to open the configuration dialog.

Method 3

Select Tools, Options, Reminder Manager tab to display the Reminder Manager configuration property page.


About Reminder Manager Configuration

Reminder Manager can be fully configured for how it displays reminders and whether to send reminders to email or pagers. When Reminder Manager is installed it is set with the following defaults:

  • Show the Reminder Manager window when alarms fire
  • Show the System Tray Icon
  • Flash the System Tray Icon when alarms fire
  • Play the Reminder.wav sound file as the reminder sound when alarms fire
  • Don't group reminders in the Reminder Manager window
  • No highlighting for active reminders
  • Use a default snooze time of 10 minutes
  • Display snoozed alarms highlighted using a strikethrough font
  • Don't send reminders to email or pagers
  • Don't automatically check for application updates

For information about how to open the Reminder Manager configuration dialog, see Opening the Reminder Manager Configuration Dialog

If you open the Reminder Manager configuration dialog using Outlook's Tools, Options dialog and select the Reminder Manager tab the configuration dialog looks like the figure below. Clicking on the OK button accepts all changes and closes the configuration dialog. Clicking on the Apply button accepts all changes and leaves the configuration dialog open. Clicking on the Cancel button cancels all changes and closes the configuration dialog.

Note: When Outlook is in offline mode or disconnected from an Exchange server the Reminder enabled folders tab is not available for customizing which folders are used for reminders. Configuring which folders are used for reminders can only be done when in online mode or in Outlook cached Exchange mode.

If you open the Reminder Manager configuration dialog using any of the other methods shown in Opening the Reminder Manager Configuration Dialog the configuration dialog looks like the figure below. Clicking on the OK button accepts all changes and closes the configuration dialog. Clicking on the Cancel button cancels all changes and closes the configuration dialog.

Click on any tab in the Reminder Manager configuration dialog to customize that group of Reminder Manager settings.

The following Help sections show how to set the different configuration options:

To learn how to add a reminder enabled folder see Adding a Reminder Enabled Folder

To learn how to remove a reminder enabled folder see Removing a Reminder Enabled Folder

To learn how to configure alarm options see Configuring Alarm Options

To learn how to configure email and pager options see Configuring E-mail Options

To learn how to configure additional user interface options see Configuring Usability Options

To learn how to set Reminder Manager to use Windows XP styles for its controls if you are using Windows XP see Using Windows XP Styles


Adding a Reminder Enabled Folder

Folders are enabled for reminders using the Reminder Manager configuration dialog. The default Inbox, Contacts, Calendar and Tasks folders are always enabled for reminders unless you check the Allow disabling default folders checkbox. In that case you can disable reminders from the default Inbox, Contacts, Calendar and Tasks folders.

Note: Configuring reminder enabled folders can only be performed when in online mode or Outlook cached Exchange mode. You cannot configure reminder enabled folders when in offline mode.

Folders in non-default mailboxes are not available when using Outlook in offline mode. Folders in Exchange Public Folders are not available in offline mode unless the folders have been added to the Public Folder Favorites folder and set for downloading for offline mode. See Online/Offline Use for more information.

For information about how to open the Reminder Manager configuration dialog, see Opening the Reminder Manager Configuration Dialog.

Using the Configuration Dialog to Enable Folders for Reminders

  1. Click on the + sign to the left of any Outlook data store to expand the data store and show folders in the data store.
  2. Check the check box to the left of any folder to enable reminders for that folder in Reminder Manager. To check all subfolders of a selected folder, check the Include Subfolders check box before checking the folder. The default Inbox, Contacts, Calendar and Tasks folders are always enabled for reminders unless you check the Allow disabling default folders checkbox, which allows disabling of those folders.
  3. Click OK to save the selected folders for reminders in Reminder Manager.

You can change folders enabled for reminders and also change other settings in the configuration dialog without having to exit the configuration dialog. You can make any changes you want for any setting before you click on OK.

For information about removing reminder enabled folders see Removing a Reminder Enabled Folder.

For information about setting alarm options see Alarm Options.

For information about setting options for sending reminders by email, pager or cell phone see Email & Pager Options.

For information about setting additional reminder options see Usability Options.


Removing a Reminder Enabled Folder

Folders are disabled for reminders using the Reminder Manager configuration dialog. The default Inbox, Contacts, Calendar and Tasks folders are always enabled for reminders unless you check the Allow disabling default folders checkbox. In that case you can disable reminders from the default Inbox, Contacts, Calendar and Tasks folders.

Note: Configuring reminder enabled folders can only be performed when in online mode or Outlook cached Exchange mode. You cannot configure reminder enabled folders when in offline mode.

For information about how to open the Reminder Manager configuration dialog, see Opening the Reminder Manager Configuration Dialog.

Using the Configuration Dialog to Disable Folders for Reminders

  1. Click on the + sign to the left of any Outlook data store to expand the data store and show folders in the data store.
  2. Uncheck the check box to the left of any folder to disable reminders for that folder in Reminder Manager. The default Inbox, Contacts, Calendar and Tasks folders are always enabled for reminders, and cannot be disabled for reminders unless you check the Allow disabling default folders checkbox, which allows disabling those folders.
  3. Click OK to save the selected folders for reminders in Reminder Manager.

You can change folders enabled for reminders and also change other settings in the configuration dialog without having to exit the configuration dialog. You can make any changes you want for any setting before you click on OK.

For information about adding reminder enabled folders see Adding a Reminder Enabled Folder.

For information about setting alarm options see Alarm Options.

For information about setting options for sending reminders by email, pager or cell phone see Email & Pager Options.

For information about setting additional reminder options see Usability Options.


Configuring Alarm Options

Alarm Options

Alarm options are set when the Alarm options tab is selected in the Reminder Manager configuration dialog. The alarm options you can set are:

  • Whether to show the reminders window when a reminder occurs.
  • Whether to show the Reminder Manager System Tray icon.
  • Whether to flash the System Tray icon when a reminder occurs if the System Tray icon is displayed. This option can only be enabled when the Reminder Manager System Tray icon is enabled.
  • Whether to show the reminders window always on top of all other windows, including windows from other applications.
  • Whether to close the reminders window when all reminders in the window are dismissed.
  • Whether to show reminders with a font style or color highlight. The default setting is to show reminders using no highlighting.
  • Whether to play a reminder sound, and what sound to play.

For information about how to open the Reminder Manager configuration dialog, see Opening the Reminder Manager Configuration Dialog.

Using the Configuration Dialog to Set Alarm Options

Select the Alarm options tab to configure the alarm options Reminder Manager uses when a reminder is due or overdue.

Check Show reminders window to show the reminders window when a reminder occurs.

Check Show System Tray Icon to show the Reminder Manager System Tray icon. This option must be checked to show a flashing System Tray icon when a reminder occurs.

Check Flash System Tray Icon to flash the System Tray icon when a reminder occurs. The System Tray icon must be shown to be able to select this option.

Check Reminders always on top to always show the reminders window on top of all other windows, including windows from other applications. This option is only available when the Show reminders window option is checked.

Check Close window when all reminders are dismissed to close the reminders window when all reminders in the window are dismissed. This option is only available when the Show reminders window option is checked.

Active Reminders Highlighting:

  • Select No highlighting to display active reminders with no font effects or coloring.
  • Select Highlight with Italic font to display active reminders in Italic without any coloring.
  • Select Highlight with Bold font to display active reminders in Bold face without any coloring.
  • Select Highlight color to display active reminders in a selected color. To select the color for active reminder highlighting click on the Select Color button. A color selector dialog appears as shown below. Select the desired color for highlighting and click OK to save your color selection.

Reminder Sound

Check Play sound to play a reminder sound when a reminder is due. The default sound is Reminder.wav. Any .wav file can be selected as the reminder sound. Click Browse... to open the File Open dialog to select a reminder sound. Navigate to the .wav file you want played for reminders and select that file as the reminder sound.

Click the Play button to play a sample of the selected reminder sound.

Note: If custom sounds have been enabled for individual appointment or task reminders, the custom sound will be played if:

  1. Only one reminder is fired at that time. If more than one reminder fires the default sound will be played, if enabled.
  2. The default sound is enabled. If the Play sound setting is disabled no sound will be played when a reminder fires.

Click OK to save the configuration settings and close the configuration dialog.

Click Cancel to cancel any changes and close the configuration dialog.

Note: You can change option settings in one or more tabs before clicking the OK button to save any changes.


Configuring E-mail Options

E-mail Options

E-mail options are set when the Email & pager options tab is selected in the Reminder Manager configuration dialog. The email options you can set are:

  • Whether to default to sending a reminder to one or more email addresses when a reminder occurs.
  • What default email address or addresses to use for reminders.
  • Whether to include the subject of the item with the reminder, how much of the subject to include and whether to include a default subject if the item has no subject.
  • Whether to include text from the body of the item with the reminder, how much of the body text to include and whether to include default text if the item has no body text.
  • Whether to include the Location of calendar reminders (appointments, meetings, all day events) if the Location field isn't blank.
  • Whether to append any Outlook Flag text to the body of the email.

Note: Any reminder can be set to send an email when the reminder fires. The default settings can be overridden for any individual reminder. For more information about setting email and pager settings on an individual basis see Individual Reminder Settings.

For information about how to open the Reminder Manager configuration dialog, see Opening the Reminder Manager Configuration Dialog.

Using the Configuration Dialog to Set Email and Pager Options

Select Email & pager options to configure sending reminders to one or more email enabled devices.

Check Send reminder to e-mail or pager to enable sending reminders to any email address or to devices that have email addresses, such as pagers or cell phones.

Enter one or more email addresses to send the reminder to in the E-mail or Pager SMTP address field. All email addresses must be entered in SMTP format (name@domain). If you want email reminders sent to more than one email address, separate the email addresses with commas or semicolons.

Check Include Subject to include the subject of the item with a reminder in the email.

Enter a maximum length for the subject in the Maximum Subject Length field or use the left/right arrow control to increase or decrease the subject length included in the email. Controlling the maximum length of the subject and body text (message) can be important if you have a maximum length of messages that can be received with the device used to receive reminder emails.

Enter text to use as the default subject in the Default Subject field. The default subject field is only used if the item with a reminder has no subject.

Check Include Appointment Locations to include the location of an appointment, meeting or all day event if the Location field isn't blank.

Check Include Text to include the body text (message) of the item with the reminder in the email.

Enter a maximum length for the body text in the Maximum Text Length field or use the left/right arrow control to increase or decrease the body text length included in the email. Controlling the maximum length of the subject and body text can be important if you have a maximum length of messages that can be received with the device used to receive reminder emails.

Enter text to use as the default email body text (message) in the Default Text field. The default text field is only used if the item with a reminder has no body text.

Check Append Flag text to email to append the Outlook Flag text to the body text (message) of the item with the reminder in the email.

Note: If you need to control the maximum length of the emails you send you must add the maximum subject and body text (message) lengths together to arrive at the total length of the email.

Individual Reminder Settings

Any reminder can have email or pager settings that override the default settings. This allows you to:

  • Enable sending emails for reminders for all reminders and selectively disabling the email for certain specific reminders
  • Enable sending emails for reminders for all reminders and selectively changing the destination email address for certain specific reminders
  • Disable sending emails for reminders for all reminders and selectively sending emails for certain specific reminders

When a reminder is set on an item in a folder monitored by Reminder Manager any default Reminder Manager email or pager settings are copied to that reminder. The default setting for sending an email when a reminder fires and the default destination address or addresses settings are copied in fields that are only visible to Reminder Manager.

To change the email and pager settings for a specific reminder open the Reminder Manager window and click the Edit... button.

For information on opening the Reminder Manager window see Opening the Reminder Manager Window.

The Edit Reminder Manager Settings dialog enables you to clear the reminder, set or change the Flag color, change the Flag text, set a reminder importance, and to enable or disable sending a reminder email and the destination email address or addresses for the email.

Check the Reminder Email checkbox to enable sending an email when the reminder comes due. Only one reminder email is sent for each reminder. If a reminder is snoozed no additional emails are sent when the snoozed reminder comes due. If the reminder time is changed that will reset the reminder email status and a new email will be sent when the changed reminder comes due.

Note: These settings override the default email and pager settings.

Enter one or more email addresses to send the reminder to in the Email Address field. All email addresses must be entered in SMTP format (name@domain). If you want the email reminder sent to more than one email address, separate the email addresses with commas or semicolons.

Click OK to save the configuration settings and close the configuration dialog.

Click Cancel to cancel any changes and close the configuration dialog.

Note: You can change option settings in one or more tabs before clicking the OK button to save any changes.


Configuring Alarm Options

Reminder Manager Usability Options

Additional user interface options are set when the Usability options tab is selected in the Reminder Manager configuration dialog. The additional options you can set are:

  • The default snooze time.
  • Whether or not to use the last snooze time selected by the user as the new default snooze time.
  • Whether to show snoozed reminders with a font style or color highlight. The default setting is to show snoozed reminders using a strikethrough font.
  • Whether to show reminders only for items you own, created, modified or received in shared folders.
  • Whether to automatically check for Reminder Manager updates when Reminder Manager starts. Checking for updates can always be performed manually from the System Tray icon menu (see The System Tray Icon Menu) or from the Help menu in the Reminder Manager window (see The Reminder Manager Window)
  • Whether or not to show a confirmation dialog when using the Dismiss All command in the Reminder Manager window.
  • The text font to use in the Reminder Manager window and dialogs. Controls in the Reminder Manager window and dialogs are not resized when a different font is selected, so certain fonts may truncate the text in various controls.

For information about how to open the Reminder Manager configuration dialog, see Opening the Reminder Manager Configuration Dialog.

Using the Configuration Dialog to Set Usability Options

Select the Usability options tab to configure various user interface and usability options for Reminder Manager.

Snoozed Reminders Settings

The default alarm snooze time is set in the Default alarm snooze time dropdown control. This time will be shown by default every time the Reminder Manager window is opened, although you can change the snooze time that is used whenever you want.

To set the default snooze time click in the arrow at the right of the default snooze time dropdown control and select a time. The default snooze time control also understands time shorthand, you can enter any time you want in the text part of the dropdown control instead of using a time from the dropdown.

The snooze control understands the following time shorthand:

mi minutes

h hours

d days

w weeks

mo months

y years

Entering "5mi" is the same as entering 5 minutes and entering 1w is the same as 1 week, and so on.

Check the Use last snooze time as default checkbox to reset the default snooze time to the last snooze time used each time a reminder is snoozed.

Snoozed Reminders Highlighting:

  • Select Strikethrough font to display snoozed reminders in strikethrough font style (crossed out) without any coloring.
  • Select Italic font to display snoozed reminders in Italic without any coloring.
  • Select Bold font to display snoozed reminders in Bold face without any coloring.
  • Select Use color to display snoozed reminders in a selected color. To select the color for snoozed reminder highlighting click on the Select Color button. A color selector dialog appears as shown below. Select the desired color for highlighting and click OK to save your color selection.

Miscellaneous User Settings

Reminders for Shared Folders:

Normally you will receive all reminders in shared folders such as shared Exchange mailboxes and Public Folders. To only receive reminders for your own items in shared folders check the Reminders only for items I own, created, modified or received in shared folders checkbox.

Note: When Outlook is in offline mode or disconnected from an Exchange server reminders from shared or delegate mailboxes are not available and reminders from Exchange Public Folders are only available if the folders have been added to Public Folder Favorites and set for downloading for offline mode. See Online/Offline Use for more information.

When this checkbox is checked you receive reminders only for items that:

  • Email items: created, modified last or received.
  • Task items: created, modified last or own.
  • Calendar items: created or modified last.
  • Contact items: created or modified last.

Note: This setting has no effect in your own default mailbox or default PST files or in any non-default PST files. It only affects items in shared Exchange mailboxes and Public Folders.

Check for updates on startup:

When this checkbox is checked Reminder Manager will automatically attempt to connect to the Slovaktech Web site and check for available updates. You can check for Reminder Manager updates at any time from the Help menu in the Reminder Manager window or from the system tray menu.

Show confirmation dialog when dismissing all reminders

When this checkbox is checked Reminder Manager will display a confirmation dialog when the Dismiss All button is clicked in the Reminder Manager window.

Reminder Manager text font

Click the Font... button to select the text font to use in the Reminder Manager window and dialogs.

Caution: Controls in the Reminder Manager window and dialogs are not resized when a different font is selected, so certain fonts may truncate the text in various controls. Experiment to find a pleasing font that does not truncate text in the Reminder Manager window and dialogs.

Click OK to save the configuration settings and close the configuration dialog.

Click Cancel to cancel any changes and close the configuration dialog.

Note: You can change option settings in one or more tabs before clicking the OK button to save any changes.


Using Windows XP Styles

Windows XP Styles in Reminder Manager

Reminder Manager normally uses standard Windows styles for the controls on its forms.

Caution: Outlook versions higher than 2002 automatically use Windows XP styles for all Reminder Manager windows on versions of Windows compatible with Windows XP styles.


Working With Reminder Manager

Reminder Manager displays all reminders in a unified Reminder window; where you can snooze, dismiss or open an item with a reminder. You can also dismiss all reminders or close the unified Reminder window without taking action on the reminder. The unified Reminder window is provided for Outlook 2000 as well as for Outlook 2002, 2003 and 2007.

This section of the Reminder Manager Help contains information about:

Opening the Reminder Manager Window

The Reminder Manager Window

The Field Chooser

Grouping Reminders

The Edit Reminder Manager Settings Dialog

Dismissing and Snoozing Reminders

Opening Recurring Reminders

The System Tray Icon Menu

Online/Offline Use

Reminder Manager Limitations

For additional information about Reminder Manager see:

Slovak Technical Services Reminder Manager

Configuring Reminder Manager

Registration and Technical Support


Reminder Manager Window

Opening the Reminder Manager Window

The Reminder Manager window provides a control center for managing your reminders, and for access to all the Reminder Manager windows and dialogs. The Reminder Manager window enables you to:

  • Dismiss or snooze any or all existing reminders
  • Open items that have reminders enabled
  • Clear flags, mark flags and tasks complete for items that have reminders enabled
  • View reminders in different ways such as with grouping and with different reminder filters
  • Edit special Reminder Manager properties such as reminder importance
  • Configure Reminder Manager
  • Open the Reminder Manager Help
  • Open the Reminder Manager About dialog
  • Register Reminder Manager

Methods of Opening the Reminder Manager Window

Method 1

Click on Reminder Manager in the View menu in an Outlook window.

Method 2

If you are displaying the Reminder Manager System Tray icon, right-click on the Reminder Manager icon and click Open Reminder Manager to open the Reminder Manager window.

Method 3

If you are displaying the Reminder Manager System Tray icon, double-click on the Reminder Manager icon to open the Reminder Manager window.


The Reminder Manager Window

The Reminder Manager window provides a control center for managing your reminders, and for access to all the Reminder Manager windows.

The Reminder Manager window enables you to dismiss or snooze any or all existing reminders, open items that have reminders enabled, view reminders in different ways, configure Reminder Manager and to open the Reminder Manager Help, the Reminder Manager About dialog and to register Reminder Manager. You can also clear flags on items with reminders and flag/mark complete items with reminders from context menus. You can also print the reminders shown in the current view by using the Print button.

Opening the Reminder Manager Window

To learn how to open the Reminder Manager window see Opening the Reminder Manager Window.

Working with the Reminder Manager Window

To clear the reminder for items selected in the Reminder Manager window click on Dismiss.

To clear all the reminders for all items shown in the Reminder Manager window click Dismiss All.

To snooze the reminder for items selected in the Reminder Manager window click on Snooze.

To snooze all the reminders for all items shown in the Reminder Manager window, click Snooze All.

To learn more about dismissing and snoozing reminders see Dismissing and Snoozing Reminders

To edit reminder settings for reminder setting, Flag color, Flag text, reminder importance, individual reminder email setting and individual reminder email address or addresses click Edit...

To learn more about using the Edit Reminder Manager Settings dialog see Using the Edit dialog

Opening Items

Open Item Opens one or more selected items. To select a range of reminders click on the first reminder to be selected and then press and hold the Shift key while clicking (Shift+Click) on the final reminder to be selected. To select reminders that are not contiguous press and hold the Ctrl key and click (Ctrl+Click) on reminders to select them. Clicking again while pressing the Ctrl key unselects that reminder.

You can also double-click on an item in the Reminder Manager window to open it, or right-click on an item and select Open from the context menu.

When a recurring appointment is opened from the Reminder Manager window the Open Recurring Item dialog is displayed.

To open only that specific instance of the recurring series select the Open this occurrence radio control.

To open the master appointment for the recurring series select the Open the series radio control.

Click OK to open the selected recurrence of the recurring series.

Click Cancel to cancel opening the selected recurrence.

Changes you make to open items may not be visible in the current Reminder Manager window unless you use the keyboard shortcut F5 or the menu command View, Refresh to refresh the display, or if you have enabled AutoRefresh (View, AutoRefresh). AutoRefresh refreshes the view once a minute.

Closing the Reminder Manager Window

To close the Reminder Manager window, click on the Close button, or click in the Close box (X) in the top right corner of the Reminder Manager window, or select File, Close Reminder Manager Window.

Customizing the Reminder Manager Window

  • To change the size of the columns move your mouse to the border of two columns in the column heading row and when the mouse pointer changes to a resizing pointer drag the column to the left or right to resize it.
  • To change the size of the Reminder Manager window resize it using the mouse. Move the mouse to the edge of the Reminder Manager window and when the mouse cursor changes to a resizing cursor drag the window to the desired size.
  • To sort items based on the data in a column, select Sort and choose the sorting you want, or click in the column header of the field you want to sort items on. If you click again in the same column header, the sort order will toggle from an ascending sort to a descending sort or from a descending sort to an ascending sort. If grouping is used columns are sorted within groupings.
  • To change which columns are displayed and in which order, use the Field Chooser dialog in the View menu.
  • To change the font used in the Reminder Manager window use the font selector in the Usability options tab of the Reminder Manager configuration dialog.

All user interface settings you customize, such as reminder manager window size, column sizes, sort order and sort column, and selected view are saved and reused when the window is reopened.

Context menus

Right-click on an item in the Reminder Manager window to open a context menu. All item types can be opened from this context menu.

Tasks can be marked complete using the context menu. Contact, Distribution List and E-mail items can be flagged complete or have their flags cleared using the context menu. When an item is marked/flagged complete or the flag on an item is cleared the reminder for the item is also cleared. You can also dismiss the reminder on an item without clearing the flag or marking it complete from the context menu.

The context menu for appointment items is shown below. This context menu enables opening the selected item.

The context menu for contact and email items is shown below. This context menu enables opening the selected item, marking the flag on the item complete or clearing the flag on the item. If the flag on the item is marked complete or cleared the reminder on the item is also cleared.

The context menu for task items is shown below. This context menu enables opening the selected item and marking the task complete. If a task is marked complete the reminder on the item is also cleared.

Reminder Manager Menus

The Reminder Manager menus are used to control what is displayed in the Reminder Manager window and how it is displayed, and to open other Reminder Manager windows and dialogs.

File Menu

Click Configure Reminder Manager... to open the configuration dialog.

Printing Reminders

Printing of reminders is controlled by the printing menu options in the File menu.

There are 3 printing menu options:

  • Define Print Style... opens the Define Printer Page Style dialog to enable you to design the printed output. This dialog enables you to create headers and footers, select the header/footer font and text font, insert page number and date and time and user name into a header or footer, select which columns are printed and in which order, and to set up the paper format for printing. When you exit the Define Printer Page Style dialog you are left in Print View mode, which enables you to set and change groupings, column order and sorting and column sizes for printing. To exit Print View mode click the Print View toggle menu option in the View menu.

  • Print Preview opens the Print Preview dialog. You can also set up the printer, paper and page style from this dialog.

  • Print immediately prints the reminders in the current view using the setup options defined in the Define Printer Page Style dialog. If no printer has previously been selected for use with Reminder Manager a printer selection dialog is opened before printing begins.

Reminder Manager prints all reminders in the current view, so before printing select Print View mode from the View menu. In Print View mode select the view to print, then size the columns in the Reminder Manager grid to display with the widths you want printed. Set which columns are visible for printing, and their printing order by using the Field Chooser in Print View mode. Any grouping you apply in Print View mode is used for all printouts.

The best results from printing are achieved by setting the printer to print in landscape mode, which can be done when designing the printer page style. That dialog also enables you to select the columns used for printing and the order in which they are printed.

Click Close Reminder Manager Window to close the window.

View Menu

Click Current View to display the list of available views for the Reminder Manager window.

Click Active Reminders to display only items with reminders that are currently due or overdue.

Click Today's Reminders to only display items with reminders set for the current day.

Click All Reminders to display all items with reminders in the enabled folders.

Click Future Reminders to display all items with reminders that occur in the future.

Click Today's & Past Reminders to display all items with reminders that occur today and in the past.

Click Today's, Past & Next 3 Days Reminders to display all items with reminders that occur today, in the past and in the next 3 days.

Click Yesterday's Reminders to display all items with reminders that occur yesterday.

Click Today's & Yesterday's Reminders to display all items with reminders that occur yesterday and today.

Click Today's & Last 3 Days Reminders to display all items with reminders that occur either today or in the past 3 days.

Click Today's & Last 7 Days Reminders to display all items with reminders that occur either today or in the next 7 days.

Click Today's & Last 30 Days Reminders to display all items with reminders that occur either today or in the next 30 days.

Click Tomorrow's Reminders to display all items with reminders that occur in tomorrow.

Click Today's & Tomrrow's Reminders to display all items with reminders that occur today and tomorrow.

Click Today's & Next 3 Days Reminders to display all items with reminders that occur either today or in the next 3 days.

Click Today's & Next 7 Days Reminders to display all items with reminders that occur either today or in the next 7 days.

Click Today's & Next 30 Days Reminders to display all items with reminders that occur either today or in the next 30 days.

Click Group By to display the list of visible columns which can be used for grouping reminders within the current view. Any column selected for grouping is displayed at the far left of the Reminder Manager reminders grid. Sorting is performed based on your selection within each group. Select None to remove all reminder grouping. Separate settings are maintained for groupings set for normal view mode and print mode.

This illustration shows the result of grouping by Flag Icon with an ascending sort order on Flag Icon. The sorting column does not have to be the same column used for grouping.

Click Field Chooser... to open the Field Chooser dialog. See The Field Chooser for more information on working with the Field Chooser dialog. This dialog is used for setting up visible columns and the column order for both displaying and printing reminders.

Click Refresh to immediately refresh the Reminder Manager window. You can also refresh the Reminder Manager window by using the F1 key.

Click AutoRefresh On to toggle enabling or disabling automatic refreshing of the Reminder Manager window once a minute.

Click Print View to toggle between viewing the Reminder Manager window in display mode and print mode. In print mode you can set the columns, column order, column sizes and grouping to be applied to printouts.

Sort Menu

Click Column to display the list of visible columns in the Reminder Manager window. This list changes as the visible columns are changed in the Field Chooser dialog. The order of the list also changes as the column order is changed in the Field Chooser dialog. Click on a column name to sort by that column. Clicking again in the same column changes the sort order from ascending to descending and vice versa.

Click Ascending to sort the selected column in ascending order.

Click Descending to sort the selected column in descending order.

The default sort order for items with reminders is to display the items sorted by date. You can also select to display the items sorted by any visible column. Sorts can be ascending or descending sorts.

Tip: Items can be sorted by clicking on the column header for the column you want used for sorting. To sort on the type of item click in the left-most column, the Icon column used to show the item type. If you click again in the same column header, the sort order will toggle from an ascending sort to a descending sort or from a descending sort to an ascending sort. If grouping is enabled sorting is done within each group.

The Owner/Organizer column uses the following properties for different types of items:

Mail: ReceivedByName (PR_RECEIVED_BY_NAME). If this property is blank the SenderName (PR_SENDER_NAME) property is used.

Contacts, Distribution Lists: The PR_SENDER_NAME property.

Calendar Items: Organizer. If Organizer is blank the PR_SENDER_NAME property is used.

Tasks: Owner.

Help Menu

Click Reminder Manager Help to open the Help system. You can also use the F1 function key to open the Help system in any Reminder Manager window.

Click Clean Reminders to clean up the Reminder Manager reminders. This utility deletes all the special hidden messages that Reminder Manager uses to track items with reminders. After running this utility exit Outlook and restart it to allow Reminder Manager to rebuild its list of items with reminders.

Click Clean Views to clean up all display and print mode views to their default states. Use this command if the current views have become corrupted.

Click Register Reminder Manager... to register the program and convert it to a licensed version from a 30-day evaluation version or to view the registration information.

Click About Reminder Manager... to display the program version and support contact email address.

Click Request Technical Support to create a support email addressed to support@slovaktech.com that contains information that is helpful for troubleshooting problems with Reminder Manager. You can also create a technical support request email at any time from the System Tray icon menu.

Click Check for Reminder Manager Updates to check if there is a later version of Reminder Manager available for downloading from the Slovak Technical Services Web site. If a later version of Reminder Manager is discovered you will be prompted to download it. After rhe update is downloaded you can exit Outlook and install the update. You can also request a check for updates at any time from the System Tray icon menu.


The Field Chooser

The Field Chooser dialog is used to select which fields are visible in the Reminder Manager window and which fields are used for printing reminders. The Field Chooser also enables you to select the order in which fields are displayed in the Reminder Manager window, and the order in which the fields are printed.

Note: The settings used for fields in the Reminder Manager window and for printing are maintained separately. You can display and print using different settings for which fields are visible and in what order.

Opening the Field Chooser

To open the Field Chooser for setting the fields that are visible in the Reminder Manager window and setting their display order open the Reminder Manager window. To learn how to open the Reminder Manager window see Opening the Reminder Manager Window. In the Reminder Manager window click the View menu, then click Field Chooser...

To open the Field Chooser for selecting which fields will be printed and in which order open the Reminder Manager window and click the File menu, then click Define Print Style... to open the Define Printer Page Style dialog. In that dialog click the Field Chooser... button to open the Field Chooser dialog.

You also can open the Field Chooser dialog for printouts by selecting Print View in the View menu and when in Print View mode selecting the Field Chooser from the View menu.

Using the Field Chooser to Set Field Options

In the Field Chooser the available fields are listed in the order in which they will be displayed or printed.

To display a field for displaying or printing Check that field.

To hide a field from displaying or printing Uncheck that field.

To change the display or printing order of a field, select the field and:

Click Move Up to move the field up one place in the order.

Click Move Down to move the field down one place in the order.

Click OK to save the settings and close the Field Chooser dialog.

Click Cancel to cancel any changes and close the Field Chooser dialog.


Grouping

Reminder Manager can group reminders based on any available column. The columns listed for grouping are those columns which are visible in the Reminder Manager window. To set the visibility and order of the columns for grouping use the Field Chooser dialog. For information on using the Field Chooser dialog see The Field Chooser Dialog.

Grouping settings are separately maintained for view and print modes. You can set up one grouping for viewing in the Reminder Manager window and another, different grouping for printing. The grouping mode you set is determined by the current viewing mode, which is indicated on the Print View menu option and by the caption on the Reminder Manager window. If you are in print view mode the Print View menu option is shown checked, if in normal view mode the Print View menu option is shown unchecked. If you are in print view mode the caption of the Reminder Manager window indicates that.

To set grouping of reminders select the View menu in the Reminder Manager window and click the Group By menu option to display the list of available columns to group by.

Click the column you wish to group by.

To disable grouping click the None selection in the Group By list.

After grouping is applied you can expand or collapse various groups by clicking on the + (plus) sign to the left of the group name to expand the group, or by clicking on the - (minus) sign to the left of an expanded group to collapse the group. Settings for which groups are expanded or collapsed are retained and used again the next time that grouping is selected.

The column selected for grouping is moved to the left of the Reminder Manager grid and all groups are sorted by default in ascending order. Clicking again on the same Group By setting or on the grouping column toggles the sort from ascending to descending and vice versa.

Sorting within groups is controlled by the usual sorting methods and is separate from the group sorting.


Editing Reminder Manager Special Settings

The Edit Reminder Manager Settings Dialog

The Edit Reminder Manager Settings dialog enables you to quickly edit some standard Outlook reminder related properties as well as some reminder properties that are only available to Reminder Manager.

To open the Edit Reminder Manager Settings dialog open the Reminder Manager window and click the Edit... button.

For information on opening the Reminder Manager window see Opening the Reminder Manager Window.

The properties you can edit using this dialog are:

  • Reminder setting
  • Flag color
  • Flag text
  • Reminder importance
  • Individual reminder email setting
  • Individual reminder email address or addresses

Uncheck the Reminder On checkbox to clear the reminder on an item.

Use the Flag Color dropdown control to set or change a flag color for an item or to mark the flag as completed. The Flag colors available are the standard Outlook Flag colors and cannot be changed.

Enter or edit any Flag Text you want associated with the reminder. Flag text can be appended to a reminder email as well as displayed in the Reminder Manager window.

The Reminder Importance dropdown control enables you to assign an importance or priority to a reminder in addition to any Flag setting assigned to the reminder. This property is only available in Reminder Manager and is not used by Outlook in any way. The default reminder importance is Normal for all reminders. The importance settings you can assign to a reminder are:

  • Low
  • Normal
  • High
  • Critical

Reminder importance can be used to sort and group reminders to help in organizing your reminders.

Individual Reminder Settings

Any reminder can have email or pager settings that override the default settings. This allows you to:

  • Enable sending emails for reminders for all reminders and selectively disabling the email for certain specific reminders
  • Enable sending emails for reminders for all reminders and selectively changing the destination email address for certain specific reminders
  • Disable sending emails for reminders for all reminders and selectively sending emails for certain specific reminders

When a reminder is set on an item in a folder monitored by Reminder Manager any default Reminder Manager email or pager settings are copied to that reminder. The default setting for sending an email when a reminder fires and the default destination address or addresses settings are copied in fields that are only visible to Reminder Manager.

Check the Reminder Email checkbox to enable sending an email when the reminder comes due. Only one reminder email is sent for each reminder. If a reminder is snoozed no additional emails are sent when the snoozed reminder comes due. If the reminder time is changed that will reset the reminder email status and a new email will be sent when the changed reminder comes due.

If the Reminder Email checkbox is unchecked no email will be sent for this reminder no matter what the default email reminder setting is set to.

Note: These settings override the default email and pager settings.

Enter one or more email addresses to send the reminder to in the Email Address field. All email addresses must be entered in SMTP format (name@domain). If you want the email reminder sent to more than one email address, separate the email addresses with commas or semicolons.

Click OK to save the configuration settings and close the Edit dialog.

Click Cancel to cancel any changes and close the Edit dialog.


Dismissing and Snoozing Reminders

When a reminder comes due it is displayed in the Reminder Manager window, if that option is enabled. Depending on alarm settings a System Tray icon can be set to flash when a reminder is due, and a sound can be played. If you are displaying the reminders window when a reminder comes due the current view isn't changed, but a reminder sound and and flashing System Tray icon can be used to alert you that a new reminder has come due. You can switch to the Active Reminders view using the View menu to see what reminders are active.

For more information about working in the Reminder Manager window see The Reminder Manager Window

To learn how to open the Reminder Manager window see Opening the Reminder Manager Window

If you close the reminder window without dismissing or snoozing an alarm, the reminder window and reminder sound will not be activated again until a new reminder comes due, or until Outlook is restarted. If the flashing System Tray icon is enabled it will continue flashing to remind you there is an active reminder. When the reminder window is displayed for reminders all active reminders are displayed in the reminders window, in the Active Reminders view.

Dismissing Reminders and Opening Items

Caution: After a reminder is dismissed there is no way to undo that action. Make sure you really want to dismiss the reminder or reminders before proceeding. This applies particularly to the Dismiss All command, which can dismiss many reminders with one action.

Dismiss All Dismisses all reminders shown in the current view. Use different views in the View menu to show All Reminders, Active Reminders, Today's Reminders and Future Reminders. Only reminders shown in the current view are dismissed.

You can display a confirmation dialog when using the Dismiss All command to confirm dismissing all reminders in the current view. This option is set in the Usability options tab of the Reminder Manager configuration dialog. When this option is set the following dialog is displayed when the Dismiss All command is used:

To see how to configure the Confirm Dismiss All dialog to be shown when dismissing all reminders see Configuring Usability Options.

Dismiss Dismisses the selected reminders. To select a reminder click on it with the mouse. To select a range of reminders click on the first reminder to be selected and then press and hold the Shift key while clicking (Shift+Click) on the final reminder to be selected. To select reminders that are not contiguous press and hold the Ctrl key and click (Ctrl+Click) on reminders to select them. Clicking again while pressing the Ctrl key unselects that reminder.

Open Item Opens one or more selected items. Changes you make to open items may not be visible in the current Reminder Manager window unless you use the keyboard shortcut F5 or the menu command View, Refresh to refresh the display, or if you have enabled AutoRefresh (View, AutoRefresh). AutoRefresh refreshes the view once a minute.

Snoozing Reminders

The selected snooze time is added to the current time. Select the time to snooze one or more reminders from the Snooze dropdown control by clicking on the arrow at the right of the control. The snooze time shown initially in the Snooze dropdown control is the default Reminder Manager snooze time. Reminder Manager can also be configured to use the last used snooze time as the new default snooze time.

You can also enter the snooze time directly in the text area of the control. The Snooze control understands time shorthand:

mi minutes

h hours

d days

w weeks

mo months

y years

Entering "5mi" is the same as entering 5 minutes and entering 1w is the same as 1 week, and so on.

Snooze Snoozes the selected reminders. To select a reminder click on it with the mouse. To select a range of reminders click on the first reminder to be selected and then press and hold the Shift key while clicking (Shift+Click) on the final reminder to be selected. To select reminders that are not contiguous press and hold the Ctrl key and click (Ctrl+Click) on reminders to select them. Clicking again while pressing the Ctrl key unselects that reminder.

Snooze All Snoozes all reminders shown in the current view.

Results of Snoozing or Dismissing Reminders

Snoozing or dismissing reminders works differently depending on where the item with the reminder is located, and where the reminder is dismissed or snoozed.

Reminder Location | Result
Default mailbox, non-default mailbox, PST file | Original reminder is dismissed or snoozed. Any flags remain set. This applies whether the reminder is dismissed or snoozed in the Reminder Manager window or in the original item in its folder.
Public Folder | Only the Reminder Manager copy is snoozed or dismissed if the reminder is dismissed or snoozed in the Reminder Manager window. If the reminder is dismissed or snoozed in the original item in its public folder the reminder is dismissed or snoozed for all users who have subscribed to that reminders. The original item retains its reminder and flag settings.

Reminder settings in Exchange public folders aren't changed when you snooze or dismiss a reminder in the Reminder Manager window so other people who have reminders set don't have their reminders changed.

When an item is snoozed it is displayed using the selected highlighting (strikethrough font is the default highlighting used).

Note: When a reminder for an item in an Exchange public folder is changed or cleared in the original item in the public folder, all copies of the reminder are also changed or cleared. Only change or clear the reminder on an item in an Exchange public folder if you want all copies of that reminder also changed or cleared. To only change or clear the reminder for yourself and not for all users, change or clear the reminder in the Reminder Manager window.

Clearing or changing the reminder for an item in a default mailbox, non-default mailbox, default PST file or non-default PST file also clears or changes the reminder in Reminder Manager for all users.

Context Menus

If you right-click on an item a context menu is displayed that enables you to mark tasks complete and to clear flags on emails and contacts or to mark the flags on emails and contacts as complete. Marking a task as complete or clearing or marking a flag complete also clears any reminder on the item. You can also dismiss a reminder using the context menu while leaving any Flag set on the item. For more information about the item context menus in the Reminder Manager window see The Reminder Manager Window


The Open Recurring Item Dialog

When a recurring appointment is opened from the Reminder Manager window the Open Recurring Item dialog is displayed.

To open only that specific instance of the recurring series select the Open this occurrence radio control.

To open the master appointment for the recurring series select the Open the series radio control.

Click OK to open the selected recurrence of the recurring series.

Click Cancel to cancel opening the selected recurrence.


The System Tray Icon Menu

The Reminder Manager System Tray Icon Menu

If the Show System Tray icon setting is enabled in the Alarm options tab of the Reminder Manager configuration dialog Reminder Manager will display an icon in the Windows System Tray.

If you are displaying the Reminder Manager System Tray icon, right-click on the Reminder Manager icon to open the System Tray icon menu.

From this menu you can:

  • Open the Reminder Manager window
  • Open the Reminder Manager configuration dialog
  • Display the Reminder Manager Help system
  • Display the About Reminder Manager dialog. This dialog contains a link to the Reminder Manager registration dialog
  • Create a support email with information important for troubleshooting problems with Reminder Manager
  • Manually check for Reminder Manager program updates


Online/Offline Use

Reminder Manager can be used in both online and offline mode.

To use Exchange public folders for reminders in offline mode, the folders must be available in offline mode, and must be synchronized to make the latest folder contents available in offline mode. Shared or delegate Exchange mailboxes are not available for reminders in offline mode.

Exchange public folders must be added to the Public Folder Favorites folder to be available in offline mode. Only items in folders that are available when offline will be available for reminders when using offline mode.

Note: Enabling folders for reminders can only be done when in online mode or Outlook cached Exchange mode.

Outlook 2003 or Outlook 2007

To add an Exchange public folder to the Public Folder Favorites folder right-click on the folder in the Folder List and select Add to Favorites in the context menu.

For Outlook 2003 or Outlook 2007 make sure the folders are enabled for downloading and that the folders are included in the folders to be synchronized if you are using cached mode with an Exchange mailbox.

To enable downloading Favorites folders in Outlook 2003 using cached Exchange mode select Tools, E-mail Accounts. Select View or change existing e-mail accounts and click Next. Select your Exchange email account and click Change. Click More Settings and on the Advanced tab check Download Public Folder Favorites. The Use Cached Exchange Mode checkbox must be checked for the Download Public Folder Favorites checkbox to be available. Click OK, Next, Finish to make the change.

To synchronize the Exchange public folders select Tools, Send/Receive, Send/Receive Settings, Define Send/Receive Groups. Select the Send/Receive Group that has your Exchange email account in it and make sure that all the checkboxes are checked in the Send/Receive Groups dialog. Then click Edit and select your Exchange account. Make sure that the Include the selected account in this group, Send Mail Items and Receive Mail Items are checked and scroll the folder list down to the public folders you want for reminders. Expand the Public Folders and Favorites folder groups and check each folder you want reminders from. Click OK and Close to save your changes. The changes will only be effective when you close and restart Outlook.

Outlook Cached Exchange Mode

Important: See the information above for the requirements for using Reminder Manager with cached Exchange mode.

Outlook 2002

To add an Exchange public folder to the Public Folder Favorites folder right-click on the folder in the Folder List and select Add to Favorites in the context menu.

Select Tools, Send/Receive Settings, Define Send/Receive Groups. Select the Send/Receive Group that has your Exchange email account in it and make sure that all the checkboxes are checked in the Send/Receive Groups dialog. Then click Edit and select your Exchange account. Make sure that the Include the selected account in this group, Send Mail Items and Receive Mail Items are checked and scroll the folder list down to the public folders you want for reminders. Expand the Public Folders and Favorites folder groups and check each folder you want reminders from. Click OK and Close to save your changes. The changes will only be effective when you close and restart Outlook.

Outlook 2000

To add an Exchange public folder to the Public Folder Favorites folder select the folder in the Folder List and drag it with the mouse to the Favorites folder in the Public Folders tree in the Folder List.

Select Tools, Synchronize, Offline Folder Settings. In the All Folders tab of the Offline Folder Settings dialog scroll down the folder list and expand the Public Folders and Favorites folder groups and check each folder you want reminders from. Click OK and Close to save your changes. The changes will only be effective when you close and restart Outlook.


Reminder Manager Limitations

Because of limitations in Outlook, reminders set on items in non-default Calendar and Tasks folders will result in a warning dialog from Outlook that the reminder will not occur. This warning dialog cannot be disabled, but the reminder will occur as expected.

Note: Exchange mailbox folders opened using the File, Open, Other User's Folder command cannot be used for reminders.

Only Exchange mailboxes opened as part of your Outlook profile can be used for reminders. You must have permissions to create new folders and items, and to modify items to be able to use these mailbox folders for reminders. The minimum permissions required for another user's mailbox is Editor permissions. Publishing Editor or Owner permissions are also acceptable.

For information about using Reminder Manager with Outlook in cached Exchange mode see Online/Offline Use.

You must have permissions to create new folders and items, and to modify items to be able to use Exchange public folders for reminders. The minimum permissions required for an Exchange public folder is Editor permissions. Publishing Editor or Owner permissions are also acceptable.

IMAP, HTTP (Hotmail, etc.) and Business Contact Manager PST files cannot be used for reminders.

Reminders for items when you are in offline mode are only available for items in folders that are available when offline. See Online/Offline Use for more information.

Reminder Manager Performance

Reminder Manager searches in all enabled folders for all items with reminders set. Each folder you enable for reminders has an impact on the search performance. Although Reminder Manager will work with literally hundreds of folders enabled for reminders we recommend keeping the number of reminder enabled folders to 20 or less for maximum performance.


Slovak Technical Services Reminder Manager

Printing with Reminder Manager

Reminder Manager enables you to print all the reminders in the current Reminder Manager window view. You have full control over printing settings such as:

  • Which columns to print and in what order
  • Text font
  • Header text and header/footer font
  • Footer text
  • Page style and settings
  • Paper settings
  • What printer to use for the printout
  • Print preview

This section of the Reminder Manager Help contains information about:

Setting up the Printer Page Style

The Print Preview Window


Configuring Printing Options

Setting up the Printer Page Style

The Reminder Manager printing style template is used to format printed reminder reports for output to the selected printer.

Reminder Manager starts with a blank printing style template and enables you to design headers and footers and to select print font, paper setup and columns to print. Any changes you make to the printing style template are saved and re-used for future printouts.

Opening the Printer Page Style Dialog

Select File, Define Print Style... to customize the Reminder Manager print style template.

The Reminder Manager print style template features 3 header zones and 3 footer zones. These zones are used to place text or variable information such as page number or date in different places in the header and footer. This is very similar in structure to the Outlook printing design template.

Text or variables placed in the left-hand zone are left justified in the header or footer. Text or variables placed in the middle zone are centered in the header or footer. Text or variables placed in the right-hand zone are right justified in the header or footer.

Any text you enter in a header or footer zone is used for printouts.

The Font... button at the top of the Define Printer Page Style dialog is used to select a font and font style that is used for the header and footer. This font and font style selection is independent from the font and font style selection for the body text of the printout.

Any installed font can be selected, although some will look better in printouts than others. You also can select Italic, Bold and Bold Italic font styles.

The Header/Footer Font textbox shows the current font and font style selection. All header and footer zones also are displayed using the current font and font style selection.

Reminder Manager provides 4 variables that can be inserted into any header or footer zone. These variables are:

  • Page number
  • Date
  • Time
  • User name

Each variable is represented symbolically in the header or footer zone, preceded by a ~ character. The variable symbol is replaced with the current value of that variable during printing.

The following illustration shows a custom printing style template designed to show the use of all 4 variables with some fixed text. The word Page is fixed text in the right-hand footer zone, preceding the page number inserted during printing. The header and footer use Tahoma Bold 10 point font and the body text uses Trebuchet MS 8 point font.

The Field Chooser... button enables you to select which columns are printed from the current view in the Reminder Manager window, and in which order. For more information about the Field Chooser dialog see The Field Chooser.

You can also set up the fields to use for printing and the column order, sorting and sizes by selecting Print View mode from the View menu and making changes as you normally would to set up a view in the Reminder Manager window.

Tip: Reminder Manager maintains separate lists of visible columns and the order of the columns for displaying and for printing. Selections made for one mode have no effect on the other mode. Grouping settings are also separately maintained for displaying and printing.

The Paper Setup... button enables you to set up the paper size, source, orientation, margins and to select a printer. The exact selections this dialog provides are determined by the selected printer and printer drivers. This dialog is supplied by the printer driver.

Tip: Printing reminder reports using Landscape orientation is usually the best way to reduce the number of pages printed.

The Printer... button enables you to select a printer for use as the Reminder Manager printer. This selection is saved and is used for future printouts. If you want to use a different printer make sure to select it before printing the reminder report. If no printer has been selected the default system printer is used.

Click OK in each dialog to save the printing configuration settings and close the configuration dialog.

Click Cancel in any dialog to cancel any changes and to close that configuration dialog.


Print Preview

The Print Preview window enables you to review the output of a Reminder Manager reminder report before sending the report to the selected printer.

Opening the Print Preview Window

Select File, Print Preview... to open the Print Preview window.

The Print Preview window shows the reminder report exactly as it will be printed on the selected printer. It shows color for Flags if the Flag Icon column is selected for printing, although the capabilities of the printer will determine if color is actually printed. Using the controls on the toolbar at the top of the Print Preview dialog enables you to change the printing style template, the selected printer, the paper setup and to print the final report.

The navigation icons in the toolbar at the top of the preview window enable you to view each page in the report by moving one page forward or back and by moving to the beginning or end of the report.

The zoom (magnifying glass) icon is used to enlarge or compress the preview image.

The remaining icons enable complete control of the setup and printing process as well as supplying help and closing the preview window:

  • The Printer Setup... button opens the dialog for selecting the printer to use for the report.
  • The Page Setup... button opens the Define Printer Page Style dialog. See The Printer Page Style dialog for more information on the Page Setup, Printer Setup and Paper Setup dialogs
  • The Paper Setup... button opens the Paper Setup dialog for setting print orientation, paper source and margins.
  • The Print button prints the selected report using the printing style template on the selected printer. If no printer has been selected for use by Reminder Manager the dialog for selecting the printer to use for the report is opened before printing begins.
  • The Help button opens the Reminder Manager Help window.
  • The Close button closes the Print Preview window.

Note: After returning to the preview window from one of the setup dialogs the preview window is redrawn to show the changes made in that dialog.

Important: Print View mode in the Reminder Manager window is used for the printed reminder report. Make sure to select Print View mode before opening the Print Preview dialog if you want to customize your view for printing. For example, if you only want to print this week's reminders select the Today & Next 7 Days view in Print View mode before opening the Print Preview window.

To select Print View mode use the Print View menu option toggle in the View menu.

Important: The grouping used in the Reminder Manager window is also used for printing reports, so make sure to set the grouping to the desired setting, or to None, before opening the Print Preview window. Groupings for printouts are selected when in Print View mode. Separate grouping settings are maintained for viewing and printing.

After reviewing the print preview and making any desired changes print the report by clicking on the Print [image] button

Click the Close button or the Close box (X) at the top right of the Print Preview window to close the window.

The Print Preview window automatically closes after sending the report to the printer is completed.


Registration and Technical Support

Reminder Manager Registration and Technical Support

This section of the Reminder Manager Help contains information about:

Reminder Manager Registration

Reminder Manager Technical Support

Reminder Manager Version

Reminder Manager Error Log

For additional information about Reminder Manager see:

Slovak Technical Services Reminder Manager

Configuring Reminder Manager

Working With Reminder Manager


Reminder Manager Registration

Installation and use of Reminder Manager software is governed by the Slovak Technical Services End User License Agreement. You are welcome to try Reminder Manager at no charge for an evaluation period of up to 30 days. You must purchase a license to continue to use this software once the evaluation period has expired. Unregistered use after the 30-day evaluation period is in violation of U.S. and international copyright laws.

Reminder Manager Licensing

The first time an evaluation copy of Reminder Manager is started the following message will appear:

If you decline to register Reminder Manager, or do not have a license for Reminder Manager, a 30-day evaluation period will begin. Reminder Manager will not run after the 30-day evaluation period expires.

To obtain a license for Reminder Manager , please visit http://www.slovaktech.com/remindermanager/RMPricing.htm for pricing and on-line purchasing. Once you have purchased a license, you will receive a license code via a registration e-mail. You must enter your code on the Reminder Manager Registration form to complete the licensing process.

Opening the Reminder Manager Registration Dialog

Method 1

  1. Click Reminder Manager in the View menu in an Outlook window.

  2. Click Register Reminder Manager in the Help menu to open the Reminder Manager Registration dialog.

Method 2

Open the Reminder Manager configuration dialog (see Opening the Reminder Manager Configuration Dialog) and click on the Register button.

Entering Reminder Manager License Information

Enter your license information exactly as it was provided in the Registered To and License Key fields and click OK to register Reminder Manager.

  5. If you do not have license information click the Purchase button to visit http://www.slovaktech.com/remindermanager/RMPricing.htm for pricing and on-line purchasing. You will receive a license key after purchasing Reminder Manager.

After Reminder Manager is registered the following message will be shown:

If a mistake was made in entering the license information the following message will be shown:

Click OK to close the dialog and return to the Reminder Manager Registration dialog where you can correct the license information, repeating Step 4 above.

Viewing Reminder Manager License Information

To view the license information for a registered version of Reminder Manager, open the registration dialog.

Editing Reminder Manager License Information

To edit the license information click on the Edit button in the registration dialog. After editing your information click on the OK button to save and enter the revised registration information.


Reminder Manager Technical Support

Slovak Technical Services Reminder Manager Technical Support

To obtain technical support for Slovak Technical Services Reminder Manager software, e-mail a support request to support@slovaktech.com with full details of the problem or error. Make sure to provide a return e-mail address.

Support phone calls will be returned only at the discretion of Slovak Technical Services, Inc.

Support is provided Monday to Friday, 9:00 AM to 5:00 PM U.S. Eastern time. Every attempt will be made to reply to support requests within 48 hours.

Please include information about your Reminder Manager version and the contents of the Reminder Manager error log, as well as your Outlook and Windows versions and any other programs you are running.

If you are having problems with duplicate reminders or reminders with incorrect times or other things see if running the Reminder Manager cleaner utility helps with the problems. To run the Reminder Manager cleaner utility open the Reminder Manager window (see Opening the Reminder Manager window)and select Help, Clean Reminders. Exit and restart Outlook after running the Reminder Manager cleaner utility to rebuild the Reminder Manager reminders.

Automatically generating a support e-mail:

To automatically generate a pre-addressed support email for Reminder Manager right-click on the Reminder Manager system tray icon and select Request Technical Support or select Request Technical Support in the Help menu in the Reminder Manager window.

Method 1: Right-click on Reminder Manager system tray icon

Method 2: Help menu in Reminder Manager window


Reminder Manager Version

About Reminder Manager

To see the version information for Reminder Manager:

Method 1

  1. Click Reminder Manager in the View menu in an Outlook window.

  2. Click About Reminder Manager in the Help menu in the Reminder Manager window.

Method 2

If you are displaying the Reminder Manager System Tray icon, right-click on the Reminder Manager icon and click About Reminder Manager.

Method 3

Click About in the Reminder Manager configuration dialog.

The About Dialog

The About dialog shows the Reminder Manager version, support contact information, indicates if Reminder Manager is registered, and provides a command button to open the Reminder Manager registration dialog.

An evaluation version of Reminder Manager displays the expiration date of the software.

Registered versions of Reminder Manager display no expiration date for the software.


Reminder Manager Error Log

Error Log

Any important errors that may occur are logged in a file named Reminder Manager.Log.

This log file is stored in either of two locations depending on what version of Windows you are using.

If you are using Windows NT, Windows 2000, Windows XP or Windows Vista the error log file is stored in the C:\Documents and Settings\<profile_name>\Local Settings\Application Data\Reminder Manager\ folder, where <profile_name> is your Windows profile name.

If you are using Windows 95, Windows 98, Windows 98 SE or Windows Me the log file is stored in the installation folder of the application (C:\Program Files\Slovak Technical Services\ReminderManager\).

This error log stores information that is used to troubleshoot the cause of the error, and should be attached to any emails requesting support for Reminder Manager problems.